dqcwl02022
2016-01-16 12:37 阅读 17
已采纳

Contentful.php SDK丢失

When requesting:

php composer.phar install contentful/contentful

as stated in the tutorial, the require function is suggested by Composer. However, when requesting:

php composer.phar require contentful/contentful

this is the feedback that is received:

 Problem 1
- The requested package contentful/contentful could not be found in any version, there may be a typo in the package name.

How do you install the SDK in this case?
Is this the only way to implement Contentful with PHP?

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

1条回答 默认 最新

  • 已采纳
    douchen1944 douchen1944 2016-01-19 09:11

    Contentful developer here.

    The contentful/contentful package is currently only available as beta. To install a beta quality package just append :@beta to the command. The full command will look like this:

    php composer.phar require contentful/contentful:@beta
    

    While you could manually copy the SDK into your project, I'd advice strongly against it as you'll have to keep it up to date manually.

    点赞 评论 复制链接分享

相关推荐